/*
 *
 * The DbUnit Database Testing Framework
 * Copyright (C)2002-2004, DbUnit.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
package org.dbunit.database;

import org.dbunit.DatabaseEnvironment;
import org.dbunit.dataset.AbstractTableTest;
import org.dbunit.dataset.ITable;
import org.dbunit.operation.DatabaseOperation;

/**
 * @author Manuel Laflamme
 * @since Apr 11, 2003
 * @version $Revision: 398 $
 */
public class CachedResultSetTableTest extends AbstractTableTest
{
    public CachedResultSetTableTest(String s)
    {
        super(s);
    }

    protected ITable createTable() throws Exception
    {
        DatabaseEnvironment env = DatabaseEnvironment.getInstance();
        IDatabaseConnection connection = env.getConnection();

        DatabaseOperation.CLEAN_INSERT.execute(connection, env.getInitDataSet());

        String selectStatement = "select * from test_table order by COLUMN0";
        return new CachedResultSetTable(
                new ForwardOnlyResultSetTable("TEST_TABLE", selectStatement, connection));
    }

    public void testGetMissingValue() throws Exception
    {
        // Do not test this!
    }
}
